Bug 99509 - Synaptic touchpad fails on 2.6.0test1
Synaptic touchpad fails on 2.6.0test1
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: 116091
  Show dependency treegraph
 
Reported: 2003-07-21 09:47 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-21 09:47:50 EDT
Description of problem:

Synaptic touchpad fails on 2.6.0test1.
It simply does not work at all.
I have an Acer 351Tev running RH9.
Here are my startup messages:
Jul 21 13:00:00 laika kernel: synaptics reset failed
Jul 21 13:00:00 laika kernel: synaptics reset failed
Jul 21 13:00:00 laika cardmgr[930]: executing: 'modprobe hermes'
Jul 21 13:00:00 laika kernel: synaptics reset failed
Jul 21 13:00:00 laika kernel: Synaptics Touchpad, model: 1
Jul 21 13:00:00 laika kernel:  Firware: 4.6
Jul 21 13:00:00 laika cardmgr[930]: executing: 'modprobe orinoco'
Jul 21 13:00:00 laika kernel:  180 degree mounted touchpad
Jul 21 13:00:00 laika cardmgr[930]: executing: 'modprobe orinoco_cs'
Jul 21 13:00:01 laika kernel:  Sensor: 18
Jul 21 13:00:01 laika kernel:  new absolute packet format
Jul 21 13:00:01 laika kernel:  Touchpad has extended capability bits
Jul 21 13:00:01 laika kernel:  -> four buttons
Jul 21 13:00:01 laika kernel:  -> multifinger detection
Jul 21 13:00:01 laika kernel:  -> palm detection
Jul 21 13:00:01 laika autofs: automount startup succeeded
Jul 21 13:00:01 laika kernel: input: Synaptics Synaptics TouchPad on isa0060/serio1
Jul 21 13:00:01 laika kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
Jul 21 13:00:01 laika kernel: atkbd.c: Unknown key (set 0, scancode 0x12, on
isa0060/serio0) pressed.
Jul 21 13:00:01 laika kernel: input: AT Set 2 keyboard on isa0060/serio0
Jul 21 13:00:01 laika kernel: serio: i8042 KBD port at 0x60,0x64 irq 1


Version-Release number of selected component (if applicable):
RH9 / kernel-2.6.0-0.test1.1.26.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1. Boot your machine
2.
3.
    
Actual results:
Touchpad is dead

Expected results:
Touchpad was supposed to work

Additional info:
Comment 1 Bill Nottingham 2004-02-18 00:54:08 EST
Does this work better with later kernels?
Comment 2 Tim Niemueller 2004-03-16 15:27:43 EST
No, I have tried kernel-2.6.3-1.109 and kernel-2.6.3-2.1.253.2.1. I'm
using a Dell Latitude C600. The dmesg output (from /var/log/messages) is:

Mar 16 19:24:18 evilgenius kernel: mice: PS/2 mouse device common for
all mice
Mar 16 19:24:18 evilgenius kernel: serio: i8042 AUX port at 0x60,0x64
irq 12
Mar 16 19:24:18 evilgenius kernel: Synaptics Touchpad, model: 1
Mar 16 19:24:18 evilgenius kernel:  Firmware: 5.5
Mar 16 19:24:18 evilgenius kernel:  180 degree mounted touchpad
Mar 16 19:24:18 evilgenius kernel:  Sensor: 27
Mar 16 19:24:18 evilgenius kernel:  new absolute packet format
Mar 16 19:24:18 evilgenius kernel:  Touchpad has extended capability bits
Mar 16 19:24:18 evilgenius kernel:  -> multifinger detection
Mar 16 19:24:18 evilgenius kernel:  -> palm detection
Mar 16 19:24:18 evilgenius kernel:  -> pass-through port
Mar 16 19:24:18 evilgenius kernel: input: SynPS/2 Synaptics TouchPad
on isa0060/serio1
Mar 16 19:24:18 evilgenius kernel: serio: Synaptics pass-through port
at isa0060/serio1/input0
Mar 16 19:24:18 evilgenius kernel: input: PS/2 Generic Mouse on
synaptics-pt/serio0
Mar 16 19:24:18 evilgenius kernel: serio: i8042 KBD port at 0x60,0x64
irq 1
Mar 16 19:24:18 evilgenius kernel: input: AT Translated Set 2 keyboard
on isa0060/serio0

(yes, I do like the userfriendly cartoon :-).

After booting the machine the touchpad reacts sloppy, meaning that it
depends on the CPU load how fast the mouse reacts. Also on the cpu
usage graph you can see that every few seconds the CPU goes up to
about 70% of usage for a short period of time. Clicking by tapping
does not work, needless to say that the two-finger detection does not
work as well...

Any ideas? Any additional info you need?
Comment 3 Bugzilla owner 2004-09-30 11:41:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.